<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"><link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"> </script>

<div style="margin-top: 50px" class="row page-titles">
    <div class="col-md-5 align-self-center">
        <h3 class="text-primary">Categories</h3>
    </div>
</div>

<br>
<div class="container">
  <div class="card top">
    <div class="row">
      <div class="col-md-3 pull-left">
	<%= button_to "New", {action: "new"}, :method => :get, class: "btn btn-primary", id: "new_btn_id"%>
      </div>
      <div class="col-md-3 pull-left">
	<%= button_to "Back", {action: "welcome_user", :controller=>"sessions"}, :method => :get, class: "btn btn-warning", id: "back_btn_id"%>
      </div>
    </div>

    <div id="project_list">
      <% if @categories.present? %>
	<table id="category_list" class="table table-striped display" cellspacing="0" width="100%">
	  <thead>
	    <tr>
	      <th>Category name</th>
	      <th colspan="3"></th>
	    </tr>
	  </thead>

	  <tbody>
	    <% @categories.each do |category| %>
	      <tr>
	        <td><%= category.category_name %></td>
	        <td><%= link_to 'Show', category %></td>
	        <td><%= link_to 'Edit', edit_category_path(category) %></td>
	        <td><%= link_to 'Destroy', category, method: :delete, data: { confirm: 'Are you sure?' } %></td>
	      </tr>
	    <% end %>
	  </tbody>
	</table>
      <% else %>
	 <tr><div class="search_result"><p><i class="fa fa-search" aria-hidden="true"> No Record Found</i></p></div></tr>
      <% end %>
    </div>
  </div>
</div>

<script type="text/javascript">
  $(document).ready(function(){
    
    $('#category_list').dataTable();
 });
</script>

